[gnome-continuous-yocto/gnomeostree-3.28-rocko: 4387/8267] oe-publish-sdk: add pyshtables.py to .gitignore
- From: Emmanuele Bassi <ebassi src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gnome-continuous-yocto/gnomeostree-3.28-rocko: 4387/8267] oe-publish-sdk: add pyshtables.py to .gitignore
- Date: Sun, 17 Dec 2017 01:57:56 +0000 (UTC)
commit 6476182c33760cb4e55b85853331a6aa916eb365
Author: Andrea Galbusera <gizero gmail com>
Date: Fri Jan 27 00:34:55 2017 +0100
oe-publish-sdk: add pyshtables.py to .gitignore
pyshtables.py should be ignored by git as it is generated. If kept in
the repo, causes subsequent runs of sdk-update to fail.
[ YOCTO #10963 ]
(From OE-Core rev: 0ac1387bd12b5d023dea06ffe65d1fdcb050bcb4)
Signed-off-by: Andrea Galbusera <gizero gmail com>
Signed-off-by: Richard Purdie <richard purdie linuxfoundation org>
scripts/oe-publish-sdk | 4 ++--
1 files changed, 2 insertions(+), 2 deletions(-)
---
diff --git a/scripts/oe-publish-sdk b/scripts/oe-publish-sdk
index 4fe8974..9f7963c 100755
--- a/scripts/oe-publish-sdk
+++ b/scripts/oe-publish-sdk
@@ -114,9 +114,9 @@ def publish(args):
# Setting up the git repo
if not is_remote:
- cmd = 'set -e; mkdir -p %s/layers; cd %s/layers; if [ ! -e .git ]; then git init .; mv
.git/hooks/post-update.sample .git/hooks/post-update; echo "*.pyc\n*.pyo" > .gitignore; fi; git add -A .; git
config user.email "oe oe oe" && git config user.name "OE" && git commit -q -m "init repo" || true; git
update-server-info' % (destination, destination)
+ cmd = 'set -e; mkdir -p %s/layers; cd %s/layers; if [ ! -e .git ]; then git init .; mv
.git/hooks/post-update.sample .git/hooks/post-update; echo "*.pyc\n*.pyo\npyshtables.py" > .gitignore; fi;
git add -A .; git config user.email "oe oe oe" && git config user.name "OE" && git commit -q -m "init repo"
|| true; git update-server-info' % (destination, destination)
else:
- cmd = "ssh %s 'set -e; mkdir -p %s/layers; cd %s/layers; if [ ! -e .git ]; then git init .; mv
.git/hooks/post-update.sample .git/hooks/post-update; echo '*.pyc\n*.pyo' > .gitignore; fi; git add -A .; git
config user.email 'oe oe oe' && git config user.name 'OE' && git commit -q -m \"init repo\" || true; git
update-server-info'" % (host, destdir, destdir)
+ cmd = "ssh %s 'set -e; mkdir -p %s/layers; cd %s/layers; if [ ! -e .git ]; then git init .; mv
.git/hooks/post-update.sample .git/hooks/post-update; echo '*.pyc\n*.pyo\npyshtables.py' > .gitignore; fi;
git add -A .; git config user.email 'oe oe oe' && git config user.name 'OE' && git commit -q -m \"init repo\"
|| true; git update-server-info'" % (host, destdir, destdir)
ret = subprocess.call(cmd, shell=True)
if ret == 0:
logger.info('SDK published successfully')
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]